<?php
/*
Plugin Name: ag Moderate Some Comments
Plugin URI: http://cimddwc.net/?page_id=310
Description: Force comment moderation for a specified list of posts.
Author: Andreas Groegel
Version: 0.1
Author URI: http://cimddwc.net/

	Copyright (C) 2007 Andreas Groegel <http://cimddwc.net>
    Licenced under GPL <http://www.gnu.org/copyleft/gpl.html>
*/

//add the IDs of the posts of which to moderate the comments here:
//example: $mod_for_posts = array( 42 );
//example: $mod_for_posts = array( 1, 23, 313 );
$mod_for_posts = array( 1 );


function ag_moderate_some_comments ($approved) {
	global $commentdata,$mod_for_posts;

	if ( ($approved != 'spam') && (in_array($commentdata['comment_post_ID'], $mod_for_posts)) )
		return 0;
	return $approved;
}

add_filter('pre_comment_approved', 'ag_moderate_some_comments', 50);
?>